Subject: Re: [RFC/PATCH] powerpc: MPC7450 L2 HW cache flush feature utilization

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 21 Jun 2007 22:37:22 +1000

On Fri, 2007-06-15 at 14:20 -0700, Mark A. Greer wrote:
> On Fri, Jun 15, 2007 at 10:14:24AM +0200, Segher Boessenkool wrote:
> 
> > > I've double checked this. All processors considered 7450 in the kernel 
> > > are covered by MPC7450 RISC Microprocessor Family Reference Manual 
> > > where hardware cache flushing procedure is described.
> > 
> > Nice.  Now all that remains to be done is for the patch to
> > be tested on actual hardware for at least a few of those
> > other CPUs.  Any volunteers?
> 
> I just booted & played around on a prpmc2800e (7447A, 512MB) with
> this patch and it seemed to work fine.
> 
> I *may* have some old sandpoint 745x modules that still work but
> I'll have to get the sandpoint working in arch/powerpc again.
> I'll try to get to that in a week or so.

The thing that needs torture is the powerbook sleep/wakeup code. That's
where all the cache flushing issues have been biting in the past.

Ben.